summaryrefslogtreecommitdiffstats
path: root/abs/extra/bluez/run.hidd
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/bluez/run.hidd')
-rw-r--r--abs/extra/bluez/run.hidd14
1 files changed, 14 insertions, 0 deletions
diff --git a/abs/extra/bluez/run.hidd b/abs/extra/bluez/run.hidd
new file mode 100644
index 0000000..e4f66d3
--- /dev/null
+++ b/abs/extra/bluez/run.hidd
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# Start/stop the Bluetooth daemons
+#
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/bluetooth ] && . /etc/conf.d/bluetooth
+
+svwaitup -s 3 /var/service/bluetoothd || exit 1
+
+ stat_runit "Starting Bluetooth HID daemon:"
+ exec /usr/bin/hidd -n --server